MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
sc::SCMatrixDiagSubBlock Class Reference

The SCMatrixDiagSubBlock describes a diagonal subblock of a matrix. More...

`#include <block.h>`

Inheritance diagram for sc::SCMatrixDiagSubBlock:

List of all members.

## Public Member Functions

| SCMatrixDiagSubBlock (int istart, int iend, int jstart, int offset, double *data)
| SCMatrixDiagSubBlock (int istart, int iend, int offset, double *data)
| SCMatrixDiagSubBlock (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | process (SCElementOp *)
void | process (SCElementOp2 *, SCMatrixBlock *)
void | process (SCElementOp3 *, SCMatrixBlock *, SCMatrixBlock *)

## Public Attributes

int | istart
int | jstart
int | iend
int | offset
double * | data

## Detailed Description

The SCMatrixDiagSubBlock describes a diagonal subblock of a matrix.

The following bit of code illustrates the data layout: fill(double **matrix, SCMatrixDiagSubBlock &b) { int i,j,offset=b.offset; for (i=b.istart,j=b.jstart; i<b.iend; i++,j++,offset++) { matrix[i][j] = b.data[offset]; } }

## Member Function Documentation

void sc::SCMatrixDiagSubBlock::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SCMatrixBlock.

The documentation for this class was generated from the following file:

- block.h